Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003740Doomseeker[All Projects] Cleanuppublic2020-01-27 21:242020-01-30 17:26
ReporterWubTheCaptain 
Assigned ToWubTheCaptain 
PrioritynormalSeveritytrivialReproducibilitysometimes
StatusresolvedResolutionwon't fix 
PlatformOSOS Version
Product Version1.3.1 
Target Version1.4Fixed in Version 
Summary0003740: Newlines in git show may show up as ^M
DescriptionI keep seeing ^M in "git show" inconsistently, so I'm interested to check if the newlines need normalization to DOS or Linux newlines (CR LF, or LF).
Attached Files

- Relationships
related to 0003758resolvedPol M Non-dominating UNIX newline in src/core/datapaths.h 

-  Notes
User avatar (0021161)
WubTheCaptain (developer)
2020-01-30 14:00

unix2dos: 221,987 lines diff
dos2unix: 118,154 lines diff

What do?
User avatar (0021162)
WubTheCaptain (developer)
2020-01-30 14:01
edited on: 2020-01-30 14:03

find src/ -type f -print0 | xargs -0 dos2unix
find src/ -type f -print0 | xargs -0 unix2dos

not including what little is in root

User avatar (0021163)
WubTheCaptain (developer)
2020-01-30 14:05

For comparison, Doomseeker 1.3.1's src/ directory is 120k LOC.
$ cloc src/
     864 text files.
     863 unique files.
      24 files ignored.

github.com/AlDanial/cloc v 1.82  T=1.10 s (764.3 files/s, 147838.6 lines/s)
---------------------------------------------------------------------------------------
Language                             files          blank        comment           code
---------------------------------------------------------------------------------------
C++                                    324           7893           9197          44796
Qt Linguist                             18            255              0          30811
Qt                                      58              3              0          16453
C/C++ Header                           377           4970          16546          13964
C                                       42           2009            717          12621
CMake                                   19            167            409           1565
Windows Resource File                    1              8              1             46
Windows Module Definition                1              2              0             41
---------------------------------------------------------------------------------------
SUM:                                   840          15307          26870         120297
---------------------------------------------------------------------------------------
User avatar (0021168)
Zalewa (developer)
2020-01-30 17:09
edited on: 2020-01-30 17:10

Newline consistency across the whole project is not needed. It's only needed to have newline consistency in a file. If there are inconsistent lines in some file then this file has problems and should be fixed.

There's tools/normalize_nl.py in the Doomseeker repo that can scour a whole subdirectory tree and alter all files within it to have the dominating newline style in each file be the consistent one in that single file.

Files that are 3rd party should not be modified even if they have inconsistent newlines.

User avatar (0021169)
WubTheCaptain (developer)
2020-01-30 17:14

python3 ./tools/normalize_nl.py src/ cpp came up clean (had to figure out how to use that tool), so I guess this can be resolved as "denied" or something?
I would prefer running dos2unix on every Doomseeker & Wadseeker source file, but hey this is alright.
User avatar (0021170)
WubTheCaptain (developer)
2020-01-30 17:15
edited on: 2020-01-30 17:20

Actually, one line is not consistent in src/core/datapaths.h.


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2020-01-27 21:24 WubTheCaptain New Issue
2020-01-27 21:24 WubTheCaptain Status new => assigned
2020-01-27 21:24 WubTheCaptain Assigned To => WubTheCaptain
2020-01-27 21:24 WubTheCaptain Priority normal => low
2020-01-29 15:04 WubTheCaptain Target Version => 1.4
2020-01-30 14:00 WubTheCaptain Note Added: 0021161
2020-01-30 14:00 WubTheCaptain Assigned To WubTheCaptain =>
2020-01-30 14:00 WubTheCaptain Status assigned => new
2020-01-30 14:01 WubTheCaptain Note Added: 0021162
2020-01-30 14:02 WubTheCaptain Priority low => normal
2020-01-30 14:02 WubTheCaptain Reproducibility have not tried => sometimes
2020-01-30 14:03 WubTheCaptain Note Edited: 0021162 View Revisions
2020-01-30 14:05 WubTheCaptain Note Added: 0021163
2020-01-30 17:09 Zalewa Note Added: 0021168
2020-01-30 17:10 Zalewa Note Edited: 0021168 View Revisions
2020-01-30 17:14 WubTheCaptain Note Added: 0021169
2020-01-30 17:15 WubTheCaptain Note Added: 0021170
2020-01-30 17:17 WubTheCaptain Status new => resolved
2020-01-30 17:17 WubTheCaptain Resolution open => won't fix
2020-01-30 17:17 WubTheCaptain Assigned To => WubTheCaptain
2020-01-30 17:20 WubTheCaptain Note Edited: 0021170 View Revisions
2020-01-30 17:26 WubTheCaptain Relationship added related to 0003758






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker